Mis Joomla! versiooni sa peaksid kasutama?

This page is a translated version of the page What version of Joomla! should you use? and the translation is 100% complete.

Other languages:
العربية • ‎български • ‎Deutsch • ‎English • ‎español • ‎eesti • ‎français • ‎Bahasa Indonesia • ‎italiano • ‎Nederlands • ‎português • ‎português do Brasil • ‎русский

Alustuseks soovid ehk vaadata mis Joomla! versiooni sinu veebisait kasutab. Joomla! CMS versions/et

Kaasatud välised teegid

A Joomla! installation contain external libraries which are included with Joomla! CMS version releases. These external libraries are not part of the core code. Please read the Notes section as they may contain more information, such as a external library version change released with a maintenance release.

Välised teegid Joomla versioonide järgi

Sisuhalduse versioon Toetatud sisuhalduse versioon Mootools Mootools More jQuery jQuery UI
(tuum, vidin, hiir, asukoht ja sorteeritav)
Bootstrap Simple Pie PHP Mailer PHP UTF-8 IDNA Convert Rapid Application Development (RAD) Framework
Akeeba's Framework on Framework(FOF)
password _compat[1] lessphp random _compat[2]
2.5
X-mark.png
1.4.5[3] 1.4.0.1 N/A[4] N/A[4] N/A[4] 1.2 5.2.1 0.5 N/A[5] N/A[6] N/A[7] N/A[8] N/A[9]
3.0
X-mark.png
1.4.5 1.4.0.1 1.8.1 1.8.23 2.1.0 1.2 5.2.1 0.5 N/A[5] N/A[6] N/A[7] N/A[8] N/A[9]
3.1
X-mark.png
1.4.5 1.4.0.1 1.8.3 1.8.23 2.1.0 1.2[10] 5.2.3 0.5 N/A[5] N/A[6] N/A[7] N/A[8] N/A[9]
3.1.2
X-mark.png
1.4.5 1.4.0.1 1.8.3 1.8.23 2.3.2[11] 1.2[10] 5.2.6 0.5 0.8.0 N/A[6] N/A[7] N/A[8] N/A[9]
3.2
X-mark.png
1.4.5 1.4.0.1 1.10.2[12] 1.9.2 2.3.2[11] 1.2[10] 5.2.6 0.5 0.8.0 2.1 1.0.3 N/A[8] N/A[9]
3.3
X-mark.png
1.4.5 1.4.0.1 1.11.1[12] 1.9.2 2.3.2[11] 1.2[10] 5.2.8 0.5 0.8.0 2.1 1.0.3 N/A[8] N/A[9]
3.4
X-mark.png
1.4.5 1.4.0.1 1.11.3[12] 1.9.2 2.3.2[11] 1.2[10] 5.2.9 0.5 0.8.0 2.4.3 1.0.4 0.3.9 N/A[9]
3.5
X-mark.png
1.4.5 1.4.0.1 1.11.3[12] 1.9.2 2.3.2[11] 1.2[10] 5.2.14 0.5 0.8.0 2.4.3 1.0.4 0.5.0 1.0.10
3.6
X-mark.png
1.4.5 1.4.0.1 1.12.4[12] 1.9.2 2.3.2[11] 1.3.1[10] 5.2.14 0.5 0.8.0 2.4.3 1.0.4 0.5.0 1.4.1
3.7
X-mark.png
1.4.5 1.4.0.1 1.12.4[12] 1.9.2 2.3.2[11] 1.3.1[10] 5.2.14 0.5 0.8.0 2.4.3 1.0.4 0.5.0 1.4.1
3.8
Checkmark.png
1.4.5 1.4.0.1 1.12.4[12] 1.9.2 2.3.2[11] 1.3.1[10] 5.2.14 0.5 0.8.0 2.4.3 1.0.4 0.5.0 1.4.1
3.9
4.0


Joomla! versioonide selgitused

Release and support cycle/et

Viited ja märkused

  1. This library is intended to provide forward compatibility with the password_* functions which were added to PHP 5.5. See password_compat git for further information.
  2. This library is intended to provide forward compatibility with the random_bytes and random_int functions which were added to PHP 7.0. See random_compat git for further information.
  3. Contains a 1.2 compatibility layer
  4. 4.0 4.1 4.2 Not applicable, this library was not included with Joomla! CMS version 2.5.
  5. 5.0 5.1 5.2 Not applicable, this library was not included with the Joomla! CMS prior to version 3.1.2.
  6. 6.0 6.1 6.2 6.3 Not applicable, this library was not included with the Joomla! CMS prior to version 3.2. The version of FOF included in Joomla 3.2 is compatible with Joomla 2.5 however.
  7. 7.0 7.1 7.2 7.3 Not applicable, this library was not included with the Joomla! CMS prior to version 3.2
  8. 8.0 8.1 8.2 8.3 8.4 8.5 Not applicable, this library was not included with the Joomla! CMS prior to version 3.4
  9. 9.0 9.1 9.2 9.3 9.4 9.5 9.6 Not applicable, this library was not included with the Joomla! CMS prior to version 3.5
  10. 10.0 10.1 10.2 10.3 10.4 10.5 10.6 10.7 10.8 This library was deprecated for JFeedFactory in Joomla! CMS version 3.1.0
  11. 11.0 11.1 11.2 11.3 11.4 11.5 11.6 11.7 Contains some 2.1 backward compatibility defaults
  12. 12.0 12.1 12.2 12.3 12.4 12.5 12.6 Includes jQuery Migrate plugin 1.2.1 for backwards compatibility
Advertisement